---
- name: install openshift
  environment: "{{ proxy_env }}"
  ansible.builtin.pip:
    name: "{{ item }}"
    state: present
    extra_args: "--index-url {{ pip.index_url }}"
  loop:
    - openshift==0.11.2

- name: wait for kubernetes internal API to be up
  ansible.builtin.wait_for:
    port: 443
    host: "{{ ((kube_service_addresses|default('10.233.0.0/16'))
              | ipaddr('net') | next_nth_usable(1)).split('/')[0] }}"
  when: on_controller

- name: work on storage classes
  include_tasks: storage_classes.yml

- name: install istio
  include_tasks: istio.yml
  when: install_istio

- name: install helm packages
  include_tasks: helm.yml

- name: configure cert manager
  include_tasks: cert-manager.yml
  when: os_infra.kubernetes is defined and
        os_infra.kubernetes.certmanager is defined and
        os_infra.kubernetes.certmanager.webhooks is defined and
        os_infra.kubernetes.certmanager.webhooks | length > 0
